Upload Audio

Initiate the process of uploading an audio file for lip-syncing.

This endpoint returns URLs for uploading the audio file and handling success/failure callbacks.

After receiving the response, you must upload your audio file using a PUT request to the provided upload_url.

Example Request

{
  "size_bytes": 5242880,
  "file_name": "voiceover.mp3",
  "content_type": "audio/mpeg"
}

Example Response

{
  "data": {
    "audio_id": "audio_123",
    "upload_url": "https://storage.lipdub.ai/upload/audio_123?token=xyz",
    "success_url": "https://api.lipdub.ai/v1/audio/success/audio_123",
    "failure_url": "https://api.lipdub.ai/v1/audio/failure/audio_123"
  }
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
integer
required
1 to 104857600

Size of the audio file in bytes

string
required

Name of the audio file with extension

string
enum
required

MIME type of the audio file

Allowed:
string

URL of the audio source file

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json